local addon, tbl = ...

local classDefaults = {
	["Death Knight"] = {
		["Armor"] = tbl.L["ARMOR_TEMPLATE_PLATE"],
		["Weapons"] = {
			[tbl.L["WEAPON_TYPE_ONE_HANDED_AXES"]] 				= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_SWORDS"]] 			= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_MACES"]] 			= 1,
			[tbl.L["WEAPON_TYPE_DAGGERS"]]						= 0,
			[tbl.L["WEAPON_TYPE_FIST_WEAPONS"]] 				= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_AXES"]] 				= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_MACES"]] 			= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_SWORDS"]] 			= 1,
			[tbl.L["WEAPON_TYPE_STAVES"]] 						= 0,
			[tbl.L["WEAPON_TYPE_POLEARMS"]] 					= 1,
			[tbl.L["WEAPON_TYPE_WARGLAIVES"]] 					= 0,
			[tbl.L["WEAPON_TYPE_BOWS"]] 						= 0,
			[tbl.L["WEAPON_TYPE_CROSSBOWS"]] 					= 0,
			[tbl.L["WEAPON_TYPE_GUNS"]] 						= 0,
			[tbl.L["WEAPON_TYPE_WANDS"]] 						= 0,
			[tbl.L["WEAPON_TYPE_SHIELDS"]] 						= 0,
		},
	},
	["Demon Hunter"] = {
		["Armor"] = tbl.L["ARMOR_TEMPLATE_LEATHER"],
		["Weapons"] = {
			[tbl.L["WEAPON_TYPE_ONE_HANDED_AXES"]] 				= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_SWORDS"]]			= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_MACES"]] 			= 0,
			[tbl.L["WEAPON_TYPE_DAGGERS"]]						= 0,
			[tbl.L["WEAPON_TYPE_FIST_WEAPONS"]] 				= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_AXES"]] 				= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_MACES"]] 			= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_SWORDS"]]			= 0,
			[tbl.L["WEAPON_TYPE_STAVES"]] 						= 0,
			[tbl.L["WEAPON_TYPE_POLEARMS"]] 					= 0,
			[tbl.L["WEAPON_TYPE_WARGLAIVES"]] 					= 1,
			[tbl.L["WEAPON_TYPE_BOWS"]] 						= 0,
			[tbl.L["WEAPON_TYPE_CROSSBOWS"]] 					= 0,
			[tbl.L["WEAPON_TYPE_GUNS"]] 						= 0,
			[tbl.L["WEAPON_TYPE_WANDS"]] 						= 0,
			[tbl.L["WEAPON_TYPE_SHIELDS"]] 						= 0,
		},
	},
	["Druid"] = {
		["Armor"] = tbl.L["ARMOR_TEMPLATE_LEATHER"],
		["Weapons"] = {
			[tbl.L["WEAPON_TYPE_ONE_HANDED_AXES"]]				= 0,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_SWORDS"]]			= 0,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_MACES"]]				= 1,
			[tbl.L["WEAPON_TYPE_DAGGERS"]]						= 1,
			[tbl.L["WEAPON_TYPE_FIST_WEAPONS"]]					= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_AXES"]]				= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_MACES"]]				= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_SWORDS"]]			= 0,
			[tbl.L["WEAPON_TYPE_STAVES"]]						= 1,
			[tbl.L["WEAPON_TYPE_POLEARMS"]]						= 1,
			[tbl.L["WEAPON_TYPE_WARGLAIVES"]]					= 0,
			[tbl.L["WEAPON_TYPE_BOWS"]]							= 0,
			[tbl.L["WEAPON_TYPE_CROSSBOWS"]]					= 0,
			[tbl.L["WEAPON_TYPE_GUNS"]]							= 0,
			[tbl.L["WEAPON_TYPE_WANDS"]]						= 0,
			[tbl.L["WEAPON_TYPE_SHIELDS"]]						= 0,
		},
	},
	["Hunter"] = {
		["Armor"] = tbl.L["ARMOR_TEMPLATE_MAIL"],
		["Weapons"] = {
			[tbl.L["WEAPON_TYPE_ONE_HANDED_AXES"]]				= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_SWORDS"]]			= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_MACES"]]				= 0,
			[tbl.L["WEAPON_TYPE_DAGGERS"]]						= 1,
			[tbl.L["WEAPON_TYPE_FIST_WEAPONS"]]					= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_AXES"]]				= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_MACES"]]				= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_SWORDS"]]			= 1,
			[tbl.L["WEAPON_TYPE_STAVES"]]						= 1,
			[tbl.L["WEAPON_TYPE_POLEARMS"]]						= 1,
			[tbl.L["WEAPON_TYPE_WARGLAIVES"]]					= 0,
			[tbl.L["WEAPON_TYPE_BOWS"]]							= 1,
			[tbl.L["WEAPON_TYPE_CROSSBOWS"]]					= 1,
			[tbl.L["WEAPON_TYPE_GUNS"]]							= 1,
			[tbl.L["WEAPON_TYPE_WANDS"]]						= 0,
			[tbl.L["WEAPON_TYPE_SHIELDS"]]						= 0,
		},
	},
	["Mage"] = {
		["Armor"] = tbl.L["ARMOR_TEMPLATE_CLOTH"],
		["Weapons"] = {
			[tbl.L["WEAPON_TYPE_ONE_HANDED_AXES"]]				= 0,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_SWORDS"]]			= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_MACES"]]				= 0,
			[tbl.L["WEAPON_TYPE_DAGGERS"]]						= 1,
			[tbl.L["WEAPON_TYPE_FIST_WEAPONS"]]					= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_AXES"]]				= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_MACES"]]				= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_SWORDS"]]			= 0,
			[tbl.L["WEAPON_TYPE_STAVES"]]						= 1,
			[tbl.L["WEAPON_TYPE_POLEARMS"]]						= 0,
			[tbl.L["WEAPON_TYPE_WARGLAIVES"]]					= 0,
			[tbl.L["WEAPON_TYPE_BOWS"]]							= 0,
			[tbl.L["WEAPON_TYPE_CROSSBOWS"]]					= 0,
			[tbl.L["WEAPON_TYPE_GUNS"]]							= 0,
			[tbl.L["WEAPON_TYPE_WANDS"]]						= 1,
			[tbl.L["WEAPON_TYPE_SHIELDS"]]						= 0,
		},
	},
	["Monk"] = {
		["Armor"] = tbl.L["ARMOR_TEMPLATE_LEATHER"],
		["Weapons"] = {
			[tbl.L["WEAPON_TYPE_ONE_HANDED_AXES"]]				= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_SWORDS"]]			= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_MACES"]]				= 1,
			[tbl.L["WEAPON_TYPE_DAGGERS"]]						= 0,
			[tbl.L["WEAPON_TYPE_FIST_WEAPONS"]]					= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_AXES"]]				= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_MACES"]]				= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_SWORDS"]]			= 0,
			[tbl.L["WEAPON_TYPE_STAVES"]]						= 1,
			[tbl.L["WEAPON_TYPE_POLEARMS"]]						= 1,
			[tbl.L["WEAPON_TYPE_WARGLAIVES"]]					= 0,
			[tbl.L["WEAPON_TYPE_BOWS"]]							= 0,
			[tbl.L["WEAPON_TYPE_CROSSBOWS"]]					= 0,
			[tbl.L["WEAPON_TYPE_GUNS"]]							= 0,
			[tbl.L["WEAPON_TYPE_WANDS"]]						= 0,
			[tbl.L["WEAPON_TYPE_SHIELDS"]]						= 0,
		},
	},
	["Paladin"] = {
		["Armor"] = tbl.L["ARMOR_TEMPLATE_PLATE"],
		["Weapons"] = {
			[tbl.L["WEAPON_TYPE_ONE_HANDED_AXES"]]				= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_SWORDS"]]			= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_MACES"]]				= 1,
			[tbl.L["WEAPON_TYPE_DAGGERS"]]						= 0,
			[tbl.L["WEAPON_TYPE_FIST_WEAPONS"]]					= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_AXES"]]				= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_MACES"]]				= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_SWORDS"]]			= 1,
			[tbl.L["WEAPON_TYPE_STAVES"]]						= 0,
			[tbl.L["WEAPON_TYPE_POLEARMS"]]						= 1,
			[tbl.L["WEAPON_TYPE_WARGLAIVES"]]					= 0,
			[tbl.L["WEAPON_TYPE_BOWS"]]							= 0,
			[tbl.L["WEAPON_TYPE_CROSSBOWS"]]					= 0,
			[tbl.L["WEAPON_TYPE_GUNS"]]							= 0,
			[tbl.L["WEAPON_TYPE_WANDS"]]						= 0,
			[tbl.L["WEAPON_TYPE_SHIELDS"]]						= 1,
		},
	},
	["Priest"] = {
		["Armor"] = tbl.L["ARMOR_TEMPLATE_CLOTH"],
		["Weapons"] = {
			[tbl.L["WEAPON_TYPE_ONE_HANDED_AXES"]]				= 0,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_SWORDS"]]			= 0,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_MACES"]]				= 1,
			[tbl.L["WEAPON_TYPE_DAGGERS"]]						= 1,
			[tbl.L["WEAPON_TYPE_FIST_WEAPONS"]]					= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_AXES"]]				= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_MACES"]]				= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_SWORDS"]]			= 0,
			[tbl.L["WEAPON_TYPE_STAVES"]]						= 1,
			[tbl.L["WEAPON_TYPE_POLEARMS"]]						= 0,
			[tbl.L["WEAPON_TYPE_WARGLAIVES"]]					= 0,
			[tbl.L["WEAPON_TYPE_BOWS"]]							= 0,
			[tbl.L["WEAPON_TYPE_CROSSBOWS"]]					= 0,
			[tbl.L["WEAPON_TYPE_GUNS"]]							= 0,
			[tbl.L["WEAPON_TYPE_WANDS"]]						= 1,
			[tbl.L["WEAPON_TYPE_SHIELDS"]]						= 0,
		},
	},
	["Rogue"] = {
		["Armor"] = tbl.L["ARMOR_TEMPLATE_LEATHER"],
		["Weapons"] = {
			[tbl.L["WEAPON_TYPE_ONE_HANDED_AXES"]]				= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_SWORDS"]]			= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_MACES"]]				= 1,
			[tbl.L["WEAPON_TYPE_DAGGERS"]]						= 1,
			[tbl.L["WEAPON_TYPE_FIST_WEAPONS"]]					= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_AXES"]]				= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_MACES"]]				= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_SWORDS"]]			= 0,
			[tbl.L["WEAPON_TYPE_STAVES"]]						= 0,
			[tbl.L["WEAPON_TYPE_POLEARMS"]]						= 0,
			[tbl.L["WEAPON_TYPE_WARGLAIVES"]]					= 0,
			[tbl.L["WEAPON_TYPE_BOWS"]]							= 1,
			[tbl.L["WEAPON_TYPE_CROSSBOWS"]]					= 1,
			[tbl.L["WEAPON_TYPE_GUNS"]]							= 1,
			[tbl.L["WEAPON_TYPE_WANDS"]]						= 0,
			[tbl.L["WEAPON_TYPE_SHIELDS"]]						= 0,
		},
	},
	["Shaman"] = {
		["Armor"] = tbl.L["ARMOR_TEMPLATE_MAIL"],
		["Weapons"] = {
			[tbl.L["WEAPON_TYPE_ONE_HANDED_AXES"]]				= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_SWORDS"]]			= 0,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_MACES"]]				= 1,
			[tbl.L["WEAPON_TYPE_DAGGERS"]]						= 1,
			[tbl.L["WEAPON_TYPE_FIST_WEAPONS"]]					= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_AXES"]]				= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_MACES"]]				= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_SWORDS"]]			= 0,
			[tbl.L["WEAPON_TYPE_STAVES"]]						= 1,
			[tbl.L["WEAPON_TYPE_POLEARMS"]]						= 0,
			[tbl.L["WEAPON_TYPE_WARGLAIVES"]]					= 0,
			[tbl.L["WEAPON_TYPE_BOWS"]]							= 0,
			[tbl.L["WEAPON_TYPE_CROSSBOWS"]]					= 0,
			[tbl.L["WEAPON_TYPE_GUNS"]]							= 0,
			[tbl.L["WEAPON_TYPE_WANDS"]]						= 0,
			[tbl.L["WEAPON_TYPE_SHIELDS"]]						= 1,
		},
	},
	["Warlock"] = {
		["Armor"] = tbl.L["ARMOR_TEMPLATE_CLOTH"],
		["Weapons"] = {
			[tbl.L["WEAPON_TYPE_ONE_HANDED_AXES"]]				= 0,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_SWORDS"]]			= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_MACES"]]				= 0,
			[tbl.L["WEAPON_TYPE_DAGGERS"]]						= 1,
			[tbl.L["WEAPON_TYPE_FIST_WEAPONS"]]					= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_AXES"]]				= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_MACES"]]				= 0,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_SWORDS"]]			= 0,
			[tbl.L["WEAPON_TYPE_STAVES"]]						= 1,
			[tbl.L["WEAPON_TYPE_POLEARMS"]]						= 0,
			[tbl.L["WEAPON_TYPE_WARGLAIVES"]]					= 0,
			[tbl.L["WEAPON_TYPE_BOWS"]]							= 0,
			[tbl.L["WEAPON_TYPE_CROSSBOWS"]]					= 0,
			[tbl.L["WEAPON_TYPE_GUNS"]]							= 0,
			[tbl.L["WEAPON_TYPE_WANDS"]]						= 1,
			[tbl.L["WEAPON_TYPE_SHIELDS"]]						= 0,
		},
	},
	["Warrior"] = {
		["Armor"] = tbl.L["ARMOR_TEMPLATE_PLATE"],
		["Weapons"] = {
			[tbl.L["WEAPON_TYPE_ONE_HANDED_AXES"]]				= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_SWORDS"]]			= 1,
			[tbl.L["WEAPON_TYPE_ONE_HANDED_MACES"]]				= 1,
			[tbl.L["WEAPON_TYPE_DAGGERS"]]						= 1,
			[tbl.L["WEAPON_TYPE_FIST_WEAPONS"]]					= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_AXES"]]				= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_MACES"]]				= 1,
			[tbl.L["WEAPON_TYPE_TWO_HANDED_SWORDS"]]			= 1,
			[tbl.L["WEAPON_TYPE_STAVES"]]						= 1,
			[tbl.L["WEAPON_TYPE_POLEARMS"]]						= 1,
			[tbl.L["WEAPON_TYPE_WARGLAIVES"]]					= 0,
			[tbl.L["WEAPON_TYPE_BOWS"]]							= 1,
			[tbl.L["WEAPON_TYPE_CROSSBOWS"]]					= 1,
			[tbl.L["WEAPON_TYPE_GUNS"]]							= 1,
			[tbl.L["WEAPON_TYPE_WANDS"]]						= 0,
			[tbl.L["WEAPON_TYPE_SHIELDS"]]						= 1,
		},
	},
}

tbl.classDefaults = classDefaults